Package org.silverpeas.mobile.client.components.base

## Class PageContent

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.silverpeas.mobile.client.components.base.PageContent

- All Implemented Interfaces:
    `com.google.gwt.event.logical.shared.HasAttachHandlers`, `com.google.gwt.event.shared.EventHandler`, `com.google.gwt.event.shared.HasHandlers`, `com.google.gwt.user.client.Event.NativePreviewHandler`, `com.google.gwt.user.client.EventListener`, `com.google.gwt.user.client.ui.HasVisibility`, `com.google.gwt.user.client.ui.IsRenderable`, `com.google.gwt.user.client.ui.IsWidget`, `View`, `PageEventHandler`
  Direct Known Subclasses:
    `AgendaPage`, `BlogPage`, `ClassifiedPage`, `ClassifiedsPage`, `CommentEditPage`, `CommentsPage`, `ConfigPage`, `ConnexionPage`, `ContactsPage`, `CookiesPage`, `EditEventPage`, `EventPage`, `FaqPage`, `FavoritesPage`, `FormOnlineEditPage`, `FormOnlineRequestsPage`, `FormOnlineViewPage`, `FormsOnlineAsReceiverPage`, `FormsOnlinePage`, `GedNavigationPage`, `HomePage`, `IframePage`, `MediaNavigationPage`, `MessagePage`, `NavigationPage`, `NewsEditPage`, `NewsPage`, `NotificationsBoxPage`, `NotificationSenderPage`, `PhotoPage`, `PhotoViewerPage`, `ProfilePage`, `PublicationPage`, `RepliesPage`, `ReservationDetailPage`, `ReservationPage`, `ReservationSelectionPage`, `ResourcesManagerPage`, `SearchResultPage`, `SharesBoxPage`, `SharingPage`, `SoundPage`, `SurveyPage`, `SurveysPage`, `TaskPage`, `TasksPage`, `TermsOfServicePage`, `TwoFactorPage`, `UserSelectionPage`, `VideoPage`, `VideoStreamingPage`, `WorkflowActionFormPage`, `WorkflowPage`, `WorkflowPresentationPage`

      public abstract class PageContent
      extends com.google.gwt.user.client.ui.Composite
      implements View, com.google.gwt.user.client.Event.NativePreviewHandler, PageEventHandler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `clicked` |
    `protected String` | `pageTitle` |

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PageContent()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addActionMenu​(ActionItem action)` |
    `void` | `addActionShortcut​(ActionItem action)` |
    `void` | `back()` |
    `void` | `changeSelectionNumber​(int i)` |
    `void` | `clearActions()` |
    `void` | `clickGesture​(com.google.gwt.user.client.Command call)` |
    `void` | `finishLoadingData​(LoadingDataFinishEvent loadingDataFinishEvent)` |
    `App` | `getApp()` |
    `String` | `getPageTitle()` |
    `void` | `hide()` |
    `boolean` | `isSelectionMode()` |
    `boolean` | `isVisible()` |
    `void` | `loadedDataEvent​(DataLoadedEvent dataLoadedEvent)` |
    `void` | `loadedMoreDataEvent​(MoreDataLoadedEvent moreDataLoadedEvent)` |
    `void` | `onPreviewNativeEvent​(com.google.gwt.user.client.Event.NativePreviewEvent event)` |
    `void` | `receiveEvent​(PageEvent event)` |
    `void` | `removeActionMenu​(ActionItem action)` |
    `void` | `removeActionShortcut​(ActionItem action)` |
    `void` | `setApp​(App app)` |
    `void` | `setPageTitle​(String pageTitle)` |
    `void` | `setSelectionMode​(boolean selectionMode)` |
    `protected void` | `setViewport()` |
    `void` | `setVisible​(boolean visible)` |
    `void` | `show()` |
    `void` | `stop()` |

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setWidth, sinkBitlessEvent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### clicked

          protected boolean clicked

    - #### pageTitle

          protected String pageTitle

  - ### Constructor Detail

    - #### PageContent

          public PageContent()

  - ### Method Detail

    - #### setViewport

          protected void setViewport()

    - #### getPageTitle

          public String getPageTitle()

    - #### setPageTitle

          public void setPageTitle​(String pageTitle)

    - #### show

          public void show()

    - #### addActionShortcut

          public void addActionShortcut​(ActionItem action)

    - #### removeActionShortcut

          public void removeActionShortcut​(ActionItem action)

    - #### clearActions

          public void clearActions()

    - #### addActionMenu

          public void addActionMenu​(ActionItem action)

    - #### removeActionMenu

          public void removeActionMenu​(ActionItem action)

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `com.google.gwt.user.client.ui.HasVisibility`
      Overrides:
        `isVisible` in class `com.google.gwt.user.client.ui.UIObject`

    - #### back

          public void back()

    - #### hide

          public void hide()

    - #### clickGesture

          public void clickGesture​(com.google.gwt.user.client.Command call)

    - #### setVisible

          public void setVisible​(boolean visible)

      Specified by:
        `setVisible` in interface `com.google.gwt.user.client.ui.HasVisibility`
      Overrides:
        `setVisible` in class `com.google.gwt.user.client.ui.UIObject`

    - #### stop

          public void stop()

      Specified by:
        `stop` in interface `View`

    - #### onPreviewNativeEvent

          public void onPreviewNativeEvent​(com.google.gwt.user.client.Event.NativePreviewEvent event)

      Specified by:
        `onPreviewNativeEvent` in interface `com.google.gwt.user.client.Event.NativePreviewHandler`

    - #### getApp

          public App getApp()

    - #### setApp

          public void setApp​(App app)

    - #### receiveEvent

          public void receiveEvent​(PageEvent event)

      Specified by:
        `receiveEvent` in interface `PageEventHandler`

    - #### finishLoadingData

          public void finishLoadingData​(LoadingDataFinishEvent loadingDataFinishEvent)

      Specified by:
        `finishLoadingData` in interface `PageEventHandler`

    - #### loadedDataEvent

          public void loadedDataEvent​(DataLoadedEvent dataLoadedEvent)

      Specified by:
        `loadedDataEvent` in interface `PageEventHandler`

    - #### loadedMoreDataEvent

          public void loadedMoreDataEvent​(MoreDataLoadedEvent moreDataLoadedEvent)

      Specified by:
        `loadedMoreDataEvent` in interface `PageEventHandler`

    - #### isSelectionMode

          public boolean isSelectionMode()

    - #### setSelectionMode

          public void setSelectionMode​(boolean selectionMode)

    - #### changeSelectionNumber

          public void changeSelectionNumber​(int i)